package net.sf.doolin.util;

import org.apache.commons.lang.StringUtils;

/**
 * Code and label
 * 
 * @author Damien Coraboeuf
 */
public class CodeLabel {
	private String code;

	private String label;

	/**
	 * Constructor
	 */
	public CodeLabel() {
	}

	/**
	 * Code label constructor
	 * 
	 * @param aCode
	 *            Code
	 * @param aLabel
	 *            Label
	 */
	public CodeLabel(String aCode, String aLabel) {
		this.code = aCode;
		this.label = aLabel;
	}

	/**
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object arg0) {
		if (arg0 instanceof CodeLabel) {
			CodeLabel codeLabel = (CodeLabel) arg0;
			return StringUtils.equals(this.code, codeLabel.code);
		} else {
			return false;
		}
	}

	/**
	 * @return Returns the code.
	 */
	public String getCode() {
		return this.code;
	}

	/**
	 * @return Returns the label.
	 */
	public String getLabel() {
		return this.label;
	}

	/**
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		return this.code.hashCode();
	}

	/**
	 * @param code
	 *            The code to set.
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * @param label
	 *            The label to set.
	 */
	public void setLabel(String label) {
		this.label = label;
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return this.label;
	}
}
