package net.sf.doolin.util;

/**
 * Interface that defines a way to copy an item to another.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <T>
 *            Type of the item
 */
public interface ItemCopier<T> {

	/**
	 * Copies the source to the target
	 * 
	 * @param source
	 *            Source object
	 * @param target
	 *            Target object
	 */
	void copy(T source, T target);

}
