package net.sf.doolin.util;

import net.sf.jstring.LocalizableException;
import org.apache.commons.beanutils.BeanUtils;

/**
 * Copies using {@link BeanUtils#copyProperties(Object, Object)}
 * 
 * @author Damien Coraboeuf (x74639)
 * 
 * @param <T>
 *            Type of object to copy
 */
public class SimpleItemCopier<T> implements ItemCopier<T> {

	@Override
	public void copy(T source, T target) {
		try {
			BeanUtils.copyProperties(target, source);
		} catch (Exception e) {
			throw new LocalizableException("SimpleItemCopier.CannotCopy", e);
		}
	}

}
