package net.sf.doolin.util.copy;

import net.sf.doolin.util.Utils;

/**
 * Copy utilities methods.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class CopyUtils {

	private CopyUtils() {
	}

	/**
	 * Copies properties of the same type from one object to the other
	 * 
	 * @param target
	 *            Target object
	 * @param source
	 *            Source object
	 * @param propertyNames
	 *            Names of the properties to copy
	 */
	public static void copyProperties(Object target, Object source,
			String... propertyNames) {
		for (String propertyName : propertyNames) {
			Object value = Utils.getProperty(source, propertyName);
			Utils.setProperty(target, propertyName, value);
		}
	}

}
